KFindDialog Class Reference
Main classes | Find and Replace classes

`#include <kfinddialog.h>`

Inheritance diagram for KFindDialog:

## Public Types

enum | Options { WholeWordsOnly = 1, FromCursor = 2, SelectedText = 4, CaseSensitive = 8, FindBackwards = 16, RegularExpression = 32, FindIncremental = 64, MinimumUserOption = 65536 }

## Public Member Functions

| KFindDialog (QWidget *parent=0, const char *name=0, long options=0, const QStringList &findStrings=QStringList(), bool hasSelection=false)
| KFindDialog (bool modal, QWidget *parent=0, const char *name=0, long options=0, const QStringList &findStrings=QStringList(), bool hasSelection=false)
virtual | ~KFindDialog ()
void | setFindHistory (const QStringList &history)
QStringList | findHistory () const
void | setHasSelection (bool hasSelection)
void | setHasCursor (bool hasCursor)
void | setSupportsBackwardsFind (bool supports)
void | setSupportsCaseSensitiveFind (bool supports)
void | setSupportsWholeWordsFind (bool supports)
void | setSupportsRegularExpressionFind (bool supports)
void | setOptions (long options)
long | options () const
QString | pattern () const
void | setPattern (const QString &pattern)
QWidget * | findExtension ()

## Protected Slots

void | slotOk ()
void | slotSelectedTextToggled (bool)
void | showPatterns ()
void | showPlaceholders ()
void | textSearchChanged (const QString &)

## Protected Member Functions

virtual void | showEvent (QShowEvent *)
Protected Member Functions inherited from KDialog
virtual void | keyPressEvent (QKeyEvent *)

## Friends

class | KReplaceDialog

## Detailed Description

A generic "find" dialog.

Author
  S.R.Haque srhaq.nosp@m.ue@i.nosp@m.ee.or.nosp@m.g

Detail:

This widget inherits from KDialogBase and implements the following additional functionalities: a find string object and an area for a user-defined widget to extend the dialog.

Example:

To use the basic modal find dialog, and then run the search:

KFindDialog dlg(....)
if ( dlg.exec() != QDialog::Accepted )
return;
// proceed with KFind from here

To create a non-modal find dialog:

if ( m_findDia )
KWin::setActiveWindow( m_findDia->winId() );
else
{
m_findDia = new KFindDialog(false,...);
connect( m_findDia, SIGNAL(okClicked()), this, SLOT(findTextNext()) );
}

Don't forget to delete and reset m_findDia when closed. (But do NOT delete your KFind object at that point, it's needed for "Find Next")

To use your own extensions: see findExtension().

Definition at line 74 of file kfinddialog.h.

## Member Enumeration Documentation

enum KFindDialog::Options

Options for the search.

Enumerator
WholeWordsOnly | Match whole words only.
FromCursor | Start from current cursor position.
SelectedText | Only search selected area.
CaseSensitive | Consider case when matching.
FindBackwards | Go backwards.
RegularExpression | Interpret the pattern as a regular expression.
FindIncremental | Find incremental.
MinimumUserOption | The first flag which can be used by extensions.

Definition at line 87 of file kfinddialog.h.

## Constructor & Destructor Documentation

KFindDialog::KFindDialog | ( | QWidget * | parent = `0`,
|  | const char * | name = `0`,
|  | long | options = `0`,
|  | const QStringList & | findStrings = `QStringList()`,
|  | bool | hasSelection = `false`
| ) |  |

Construct a modal find dialog.

Parameters

  parent | The parent object of this widget.
  name | The name of this widget.
  options | A bitfield of the Options to be checked.
  findStrings | The find history, see findHistory()
  hasSelection | Whether a selection exists

Definition at line 54 of file kfinddialog.cpp.

KFindDialog::KFindDialog | ( | bool | modal,
|  | QWidget * | parent = `0`,
|  | const char * | name = `0`,
|  | long | options = `0`,
|  | const QStringList & | findStrings = `QStringList()`,
|  | bool | hasSelection = `false`
| ) |  |

Construct a non-modal find dialog.

Parameters

  modal | set to `false` to get a non-modal dialog
  parent | The parent object of this widget.
  name | The name of this widget.
  options | A bitfield of the Options to be checked.
  findStrings | The find history, see findHistory()
  hasSelection | Whether a selection exists

Definition at line 65 of file kfinddialog.cpp.

KFindDialog::~KFindDialog | ( |  | ) |

virtual

Destructor.

Definition at line 85 of file kfinddialog.cpp.

## Member Function Documentation

QWidget * KFindDialog::findExtension | ( |  | ) |

Returns an empty widget which the user may fill with additional UI elements as required.

The widget occupies the width of the dialog, and is positioned immediately below the regular expression support widgets for the pattern string.

Returns
  An extensible QWidget.

Definition at line 90 of file kfinddialog.cpp.

QStringList KFindDialog::findHistory | ( |  | ) | const

Returns the list of history items.

Returns
  The find history.

See also
  setFindHistory

Definition at line 101 of file kfinddialog.cpp.

long KFindDialog::options | ( |  | ) | const

Returns the state of the options.

Disabled options may be returned in an indeterminate state.

Returns
  The options.

See also
  Options, setOptions

Definition at line 302 of file kfinddialog.cpp.

QString KFindDialog::pattern | ( |  | ) | const

Returns the pattern to find.

Returns
  The search text.

Definition at line 321 of file kfinddialog.cpp.

void KFindDialog::setFindHistory | ( | const QStringList & | history | ) |

Provide the list of `strings` to be displayed as the history of find strings.

`strings` might get truncated if it is too long.

Parameters

  history | The find history.

See also
  findHistory

Definition at line 334 of file kfinddialog.cpp.

void KFindDialog::setHasCursor | ( | bool | hasCursor | ) |

Hide/show the 'from cursor' option, depending on whether the application implements a cursor.

Parameters

  hasCursor | `true` if the application features a cursor This is assumed to be the case by default.

Definition at line 366 of file kfinddialog.cpp.

void KFindDialog::setHasSelection | ( | bool | hasSelection | ) |

Enable/disable the 'search in selection' option, depending on whether there actually is a selection.

Parameters

  hasSelection | `true` if a selection exists

Definition at line 346 of file kfinddialog.cpp.

void KFindDialog::setOptions | ( | long | options | ) |

Set the options which are checked.

Parameters

  options | The setting of the Options.

See also
  Options

Definition at line 410 of file kfinddialog.cpp.

void KFindDialog::setPattern | ( | const QString & | pattern | ) |

Sets the pattern to find.

Parameters

  pattern | The new search pattern.

Definition at line 326 of file kfinddialog.cpp.

void KFindDialog::setSupportsBackwardsFind | ( | bool | supports | ) |

Enable/disable the 'Find backwards' option, depending on whether the application supports it.

Parameters

  supports | `true` if the application supports backwards find This is assumed to be the case by default.

Since
  3.4

Definition at line 374 of file kfinddialog.cpp.

void KFindDialog::setSupportsCaseSensitiveFind | ( | bool | supports | ) |

Enable/disable the 'Case sensitive' option, depending on whether the application supports it.

Parameters

  supports | `true` if the application supports case sensitive find This is assumed to be the case by default.

Since
  3.4

Definition at line 383 of file kfinddialog.cpp.

void KFindDialog::setSupportsRegularExpressionFind | ( | bool | supports | ) |

Enable/disable the 'Regular expression' option, depending on whether the application supports it.

Parameters

  supports | `true` if the application supports regular expression find This is assumed to be the case by default.

Since
  3.4

Definition at line 401 of file kfinddialog.cpp.

void KFindDialog::setSupportsWholeWordsFind | ( | bool | supports | ) |

Enable/disable the 'Whole words only' option, depending on whether the application supports it.

Parameters

  supports | `true` if the application supports whole words only find This is assumed to be the case by default.

Since
  3.4

Definition at line 392 of file kfinddialog.cpp.

The documentation for this class was generated from the following files:

- kfinddialog.h
- kfinddialog.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys